@title 清理组件
@cls
@echo off


:Menu
@ echo.  
@ echo.  
@ echo.  
@ echo. ==============================
@ echo.  
@ echo.   清理下载组件：
@ echo.     
@ echo.   	1. 清理ykdl
@ echo.  
@ echo.   	2. 清理youtube-dl
@ echo.  
@ echo.  	3. 清理you-get
@ echo.  
@ echo.   	4. 清理以上三个
@ echo.      
@ echo.	5. 返回安装与更新菜单 
@ echo.  
set /p tools=输入数字选项按回车：

If "%tools%"=="1" Goto ykdl-C

If "%tools%"=="2" Goto youtube-dl-C

If "%tools%"=="3" Goto you-get-C

If "%tools%"=="4" Goto all-C

If "%tools%"=="5" call "安装与更新.bat"
Echo.&Echo                输入无效，请重新输入！
ping -n 2 127.1 >nul
Goto Menu

:ykdl-C
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\ykdl"
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\cykdl"
DEL /S /Q "%~dp0Main\Tools\python\Scripts\ykdl*"
@cls
Echo.&Echo               清理完毕！关闭此窗口重新打开“安装与更新”，进行安装
ping -n 2 127.1 >nul
Goto Menu
:youtube-dl-C
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\youtube_dl"
DEL /S /Q "%~dp0Main\Tools\python\Scripts\youtube-dl*"
@cls
Echo.&Echo               清理完毕！关闭此窗口重新打开“安装与更新”，进行安装
ping -n 2 127.1 >nul
Goto Menu
:you-get-C
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\you_get"
DEL /S /Q "%~dp0Main\Tools\python\Scripts\you-get*"
@cls
Echo.&Echo               清理完毕！关闭此窗口重新打开“安装与更新”，进行安装
ping -n 2 127.1 >nul
Goto Menu

:all-C
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\ykdl"
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\cykdl"
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\youtube_dl"
DEL /S /Q "%~dp0Main\Tools\python\Lib\site-packages\you_get"
DEL /S /Q "%~dp0Main\Tools\python\Scripts\y*"
@cls
Echo.&Echo               清理完毕！输入5可以返回安装与更新菜单
ping -n 2 127.1 >nul
Goto Menu